version: "3"
services:
  gluetun:
    image: qmcgaw/gluetun
    cap_add:
      - NET_ADMIN
      - MKNOD
      - NET_RAW
    networks:
      - gluetun
    devices:
      - /dev/net/tun
    environment:
      - VPN_SERVICE_PROVIDER=custom
      - VPN_TYPE=wireguard
      - WIREGUARD_INTERFACE=wg0
      - VPN_ENDPOINT_IP=169.150.218.36
      - VPN_ENDPOINT_PORT=51820
      - WIREGUARD_PUBLIC_KEY=dsRnvFvkIU88ibWwPaJ86srhLNHfiKUWxFTIpg4IOms=
      - WIREGUARD_PRIVATE_KEY=gA3DrXpksOY3lC5BhfDczamIdo8J8C+1OYCVz5XRK3g=
      - WIREGUARD_ADDRESSES=10.2.0.2/32
      
networks:
  gluetun:
    external: true
